CREATE TABLE IF NOT EXISTS `co_anfrage` (
  `ca_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ca_date` datetime NOT NULL,
  `ca_from_fe_fk` bigint(20) NOT NULL,
  `ca_to_fe_fk` bigint(20) NOT NULL,
  `ca_nachricht` text NOT NULL,
  PRIMARY KEY (`ca_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_anfrage`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_apps`
--

CREATE TABLE IF NOT EXISTS `co_apps` (
  `ca_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ca_fe_fk` bigint(20) NOT NULL,
  `ca_id` varchar(255) NOT NULL,
  `ca_title` varchar(255) NOT NULL,
  `ca_url` varchar(255) NOT NULL,
  `ca_url_groupapp` varchar(255) NOT NULL,
  `ca_publisher_url` varchar(255) NOT NULL,
  `ca_head` text NOT NULL,
  `ca_type` varchar(30) NOT NULL,
  `ca_key` varchar(32) NOT NULL,
  `ca_info` text NOT NULL,
  `ca_masterapp` tinyint(4) NOT NULL,
  PRIMARY KEY (`ca_pk`),
  KEY `ca_key` (`ca_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_apps`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_apps_box`
--

CREATE TABLE IF NOT EXISTS `co_apps_box` (
  `ab_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ab_ca_fk` bigint(20) NOT NULL,
  `ab_fe_fk` bigint(20) NOT NULL,
  `ab_cp_fk` bigint(20) NOT NULL,
  `ab_position` varchar(20) NOT NULL,
  `ab_content` text NOT NULL,
  `ab_lastchange` datetime NOT NULL,
  `ab_inactive` int(11) NOT NULL,
  PRIMARY KEY (`ab_pk`),
  KEY `ab_ca_fk` (`ab_ca_fk`),
  KEY `ab_fe_fk` (`ab_fe_fk`,`ab_position`,`ab_cp_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_apps_box`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_apps_datastore`
--

CREATE TABLE IF NOT EXISTS `co_apps_datastore` (
  `ad_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ad_ca_fk` bigint(20) NOT NULL,
  `ad_fe_fk` bigint(20) NOT NULL,
  `ad_changedate` datetime NOT NULL,
  `ad_key` varchar(255) NOT NULL,
  `ad_data` text NOT NULL,
  PRIMARY KEY (`ad_pk`),
  KEY `ad_fe_fk` (`ad_fe_fk`,`ad_ca_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_apps_datastore`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_apps_mine`
--

CREATE TABLE IF NOT EXISTS `co_apps_mine` (
  `ma_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ma_fe_fk` bigint(20) NOT NULL,
  `ma_ca_fk` bigint(20) NOT NULL,
  `ma_date` datetime NOT NULL,
  PRIMARY KEY (`ma_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_apps_mine`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_data`
--

CREATE TABLE IF NOT EXISTS `co_data` (
  `cd_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cd_fe_fk` int(11) NOT NULL,
  `cd_id` varchar(255) NOT NULL,
  `cd_nr` int(11) NOT NULL,
  `cd_data` text NOT NULL,
  PRIMARY KEY (`cd_pk`),
  UNIQUE KEY `cd_fe_fk` (`cd_fe_fk`,`cd_nr`,`cd_id`),
  KEY `cd_fe_fk_2` (`cd_fe_fk`,`cd_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `co_data`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_groups`
--

CREATE TABLE IF NOT EXISTS `co_groups` (
  `cg_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cg_fe_fk` bigint(20) NOT NULL,
  `cg_thema` enum('no','yes') NOT NULL DEFAULT 'no',
  `cg_name` varchar(255) NOT NULL,
  `cg_description` text NOT NULL,
  `cg_date` datetime NOT NULL,
  `cg_closed` tinyint(4) NOT NULL,
  `cg_keine_mitglieder` tinyint(4) NOT NULL,
  `cg_or_tags` varchar(255) NOT NULL,
  PRIMARY KEY (`cg_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_groups`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_groups_apps`
--

CREATE TABLE IF NOT EXISTS `co_groups_apps` (
  `ga_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ga_cg_fk` bigint(20) NOT NULL,
  `ga_ca_fk` bigint(20) NOT NULL,
  PRIMARY KEY (`ga_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_groups_apps`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_groups_member`
--

CREATE TABLE IF NOT EXISTS `co_groups_member` (
  `gm_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `gm_cg_fk` bigint(20) NOT NULL,
  `gm_fe_fk` bigint(20) NOT NULL,
  `gm_member` tinyint(4) NOT NULL,
  `gm_date` datetime NOT NULL,
  `gm_showfull` tinyint(4) NOT NULL,
  `gm_disablenotify` tinyint(4) NOT NULL,
  `gm_listmine` tinyint(4) NOT NULL,
  `gm_listother` tinyint(4) NOT NULL,
  `gm_listapp` tinyint(4) NOT NULL,
  PRIMARY KEY (`gm_pk`),
  KEY `gm_cg_fk` (`gm_cg_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_groups_member`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_groups_tags`
--

CREATE TABLE IF NOT EXISTS `co_groups_tags` (
  `gt_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `gt_cg_fk` bigint(20) NOT NULL,
  `gt_tag` varchar(255) NOT NULL,
  `gt_fe_fk` bigint(20) NOT NULL,
  `gt_date` datetime NOT NULL,
  PRIMARY KEY (`gt_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_groups_tags`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_history`
--

CREATE TABLE IF NOT EXISTS `co_history` (
  `hi_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `hi_date` datetime NOT NULL,
  `hi_table` varchar(255) NOT NULL,
  `hi_fe_fk` bigint(20) NOT NULL,
  `hi_data` text NOT NULL,
  PRIMARY KEY (`hi_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_history`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_kontakt`
--

CREATE TABLE IF NOT EXISTS `co_kontakt` (
  `ck_from_fe_fk` bigint(20) NOT NULL,
  `ck_to_fe_fk` bigint(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_kontakt`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_merkliste`
--

CREATE TABLE IF NOT EXISTS `co_merkliste` (
  `cm_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cm_date` datetime NOT NULL,
  `cm_cp_fk` bigint(20) NOT NULL,
  `cm_from_fe_fk` bigint(20) NOT NULL,
  `cm_to_fe_fk` bigint(20) NOT NULL,
  `cm_comment` text NOT NULL,
  PRIMARY KEY (`cm_pk`),
  KEY `cm_cp_fk` (`cm_cp_fk`,`cm_to_fe_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_merkliste`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_notify_queue`
--

CREATE TABLE IF NOT EXISTS `co_notify_queue` (
  `nq_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `nq_date` datetime NOT NULL,
  `nq_notified` datetime NOT NULL,
  `nq_cp_fk` bigint(20) NOT NULL,
  `nq_to_fe_fk` bigint(20) NOT NULL,
  `nq_jid` varchar(255) NOT NULL,
  `nq_text` text NOT NULL,
  `nq_email` varchar(255) NOT NULL,
  `nq_link` varchar(255) NOT NULL,
  `nq_subject` varchar(255) NOT NULL,
  PRIMARY KEY (`nq_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_notify_queue`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_postfach`
--

CREATE TABLE IF NOT EXISTS `co_postfach` (
  `po_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `po_date` datetime NOT NULL,
  `po_sender_fe_fk` bigint(20) NOT NULL,
  `po_receiver_fe_fk` bigint(20) NOT NULL,
  `po_owner_fe_fk` bigint(20) NOT NULL,
  `po_readdate` datetime NOT NULL,
  `po_subject` varchar(255) NOT NULL,
  `po_body` text NOT NULL,
  PRIMARY KEY (`po_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_postfach`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher`
--

CREATE TABLE IF NOT EXISTS `co_publisher` (
  `cp_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cp_relate_cp_fk` bigint(20) NOT NULL,
  `cp_date` datetime NOT NULL,
  `cp_seen` datetime NOT NULL,
  `cp_order` datetime NOT NULL,
  `cp_area` varchar(255) NOT NULL,
  `cp_uniquekey` varchar(255) NOT NULL,
  `cp_owner_fe_fk` bigint(20) NOT NULL,
  `cp_private` tinyint(4) NOT NULL,
  `cp_from_fe_fk` bigint(20) NOT NULL,
  `cp_to_fe_fk` bigint(20) NOT NULL,
  `cp_to_cg_fk` bigint(20) NOT NULL,
  `cp_quelle` varchar(255) NOT NULL,
  `cp_line` varchar(255) NOT NULL,
  `cp_line_add` text NOT NULL,
  `cp_full` text NOT NULL,
  `cp_original` text NOT NULL,
  `cp_link` text NOT NULL,
  `cp_bild` text NOT NULL,
  `cp_file` varchar(255) NOT NULL,
  `cp_relevanz` int(11) NOT NULL,
  `cp_tags` varchar(255) NOT NULL,
  `cp_searchcontent` text NOT NULL,
  `cp_bewertung` double NOT NULL,
  `cp_closed` varchar(255) NOT NULL,
  `cp_final` tinyint(4) NOT NULL,
  `cp_deleted` int(11) NOT NULL,
  `cp_calendardate` date NOT NULL,
  `cp_question` tinyint(4) NOT NULL,
  PRIMARY KEY (`cp_pk`),
  KEY `cp_area` (`cp_area`,`cp_pk`),
  KEY `testindex0` (`cp_from_fe_fk`),
  KEY `testindex1` (`cp_from_fe_fk`,`cp_area`),
  KEY `cp_from_fe_fk` (`cp_from_fe_fk`,`cp_to_fe_fk`,`cp_seen`,`cp_area`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_bewertung`
--

CREATE TABLE IF NOT EXISTS `co_publisher_bewertung` (
  `pb_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pb_cp_fk` bigint(20) NOT NULL,
  `pb_fe_fk` bigint(20) NOT NULL,
  `pb_wertung` int(11) NOT NULL,
  PRIMARY KEY (`pb_pk`),
  UNIQUE KEY `pb_cp_fk` (`pb_cp_fk`,`pb_fe_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_bewertung`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_comment`
--

CREATE TABLE IF NOT EXISTS `co_publisher_comment` (
  `pc_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pc_date` datetime NOT NULL,
  `pc_cp_fk` int(11) NOT NULL,
  `pc_pc_fk` bigint(20) NOT NULL,
  `pc_area` varchar(255) NOT NULL,
  `pc_owner_fe_fk` bigint(20) NOT NULL,
  `pc_info` text NOT NULL,
  `pc_original` text NOT NULL,
  `pc_link` text NOT NULL,
  `pc_file` text NOT NULL,
  PRIMARY KEY (`pc_pk`),
  KEY `pc_cp_fk` (`pc_cp_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_comment`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_gefaellt`
--

CREATE TABLE IF NOT EXISTS `co_publisher_gefaellt` (
  `pg_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pg_date` date NOT NULL,
  `pg_fe_fk` bigint(20) NOT NULL,
  `pg_id` bigint(20) NOT NULL,
  PRIMARY KEY (`pg_pk`),
  KEY `pg_id` (`pg_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_gefaellt`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_merken`
--

CREATE TABLE IF NOT EXISTS `co_publisher_merken` (
  `pg_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pg_date` date NOT NULL,
  `pg_fe_fk` bigint(20) NOT NULL,
  `pg_id` bigint(20) NOT NULL,
  PRIMARY KEY (`pg_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_merken`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_quick`
--

CREATE TABLE IF NOT EXISTS `co_publisher_quick` (
  `cp_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cp_relate_cp_fk` bigint(20) NOT NULL,
  `cp_date` datetime NOT NULL,
  `cp_seen` datetime NOT NULL,
  `cp_order` datetime NOT NULL,
  `cp_area` varchar(255) NOT NULL,
  `cp_uniquekey` varchar(255) NOT NULL,
  `cp_owner_fe_fk` bigint(20) NOT NULL,
  `cp_private` tinyint(4) NOT NULL,
  `cp_from_fe_fk` bigint(20) NOT NULL,
  `cp_to_fe_fk` bigint(20) NOT NULL,
  `cp_to_cg_fk` bigint(20) NOT NULL,
  `cp_quelle` varchar(255) NOT NULL,
  `cp_line` varchar(255) NOT NULL,
  `cp_line_add` text NOT NULL,
  `cp_full` text NOT NULL,
  `cp_original` text NOT NULL,
  `cp_link` text NOT NULL,
  `cp_bild` text NOT NULL,
  `cp_file` varchar(255) NOT NULL,
  `cp_relevanz` int(11) NOT NULL,
  `cp_tags` varchar(255) NOT NULL,
  `cp_searchcontent` text NOT NULL,
  `cp_bewertung` double NOT NULL,
  `cp_closed` varchar(255) NOT NULL,
  `cp_final` tinyint(4) NOT NULL,
  `cp_deleted` int(11) NOT NULL,
  `cp_calendardate` date NOT NULL,
  `cp_question` tinyint(4) NOT NULL,
  PRIMARY KEY (`cp_pk`),
  KEY `cp_area` (`cp_area`,`cp_pk`),
  KEY `testindex0` (`cp_from_fe_fk`),
  KEY `testindex1` (`cp_from_fe_fk`,`cp_area`),
  KEY `cp_from_fe_fk` (`cp_from_fe_fk`,`cp_to_fe_fk`,`cp_seen`,`cp_area`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_quick`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_search`
--

CREATE TABLE IF NOT EXISTS `co_publisher_search` (
  `ps_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `ps_text` varchar(255) NOT NULL,
  `ps_count` int(11) NOT NULL,
  PRIMARY KEY (`ps_pk`),
  KEY `ps_text` (`ps_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_search`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_search2id`
--

CREATE TABLE IF NOT EXISTS `co_publisher_search2id` (
  `cp_fk` int(11) NOT NULL,
  `ps_fk` int(11) NOT NULL,
  `ps_pos` int(11) NOT NULL,
  KEY `cp_fk` (`cp_fk`,`ps_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_search2id`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_tag`
--

CREATE TABLE IF NOT EXISTS `co_publisher_tag` (
  `pt_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pt_tag` varchar(255) NOT NULL,
  `pt_count` int(11) NOT NULL,
  PRIMARY KEY (`pt_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_tag`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_tag2id`
--

CREATE TABLE IF NOT EXISTS `co_publisher_tag2id` (
  `cp_fk` int(11) NOT NULL,
  `pt_fk` int(11) NOT NULL,
  KEY `cp_fk` (`cp_fk`,`pt_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_tag2id`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_publisher_visible`
--

CREATE TABLE IF NOT EXISTS `co_publisher_visible` (
  `pv_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `pv_cp_fk` bigint(20) NOT NULL,
  `pv_fe_fk` bigint(20) NOT NULL,
  PRIMARY KEY (`pv_pk`),
  KEY `pv_cp_fk` (`pv_cp_fk`,`pv_fe_fk`),
  KEY `pv_pk` (`pv_pk`,`pv_cp_fk`,`pv_fe_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_publisher_visible`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_search`
--

CREATE TABLE IF NOT EXISTS `co_search` (
  `cs_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `cs_fe_fk` bigint(20) NOT NULL,
  `cs_value` text NOT NULL,
  PRIMARY KEY (`cs_pk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `co_search`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `co_translation`
--

CREATE TABLE IF NOT EXISTS `co_translation` (
  `co_pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `co_de` varchar(255) NOT NULL,
  `co_en` varchar(255) NOT NULL,
  PRIMARY KEY (`co_pk`),
  KEY `co_de` (`co_de`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `co_translation`
--

CREATE TABLE `fe_user` (
  `fe_pk` bigint(20) NOT NULL auto_increment,
  `fe_registered` datetime NOT NULL,
  `fe_confirmed` datetime NOT NULL,
  `fe_deleted` datetime NOT NULL,
  `fe_lastactive` datetime NOT NULL,
  `fe_type` enum('user','app','group','cron') NOT NULL default 'user',
  `fe_loginname` varchar(255) NOT NULL,
  `fe_password` varchar(255) NOT NULL,
  `fe_email` varchar(255) NOT NULL,
  `fe_jabber` varchar(255) NOT NULL,
  `fe_last_newsletter` datetime NOT NULL,
  `fe_last_twittercheck` datetime NOT NULL,
  `fe_lastnotify` varchar(255) NOT NULL,
  PRIMARY KEY  (`fe_pk`),
  KEY `fe_confirmed` (`fe_confirmed`,`fe_deleted`),
  KEY `fe_confirmed_2` (`fe_confirmed`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;
