<?php

class RPCClient
{
	public $host;
	public $port = "80";
	public $script;

	public $keepAlive = true;

	public $debug = false;

	private $socket;

	public $information;

	public $session_id = "";

	public $httpErrorMessages = array
	(
		"404" => "targetscript not found",
		"403" => "access to targetscript forbidden",
	);


	public function __construct()
	{
		$this->information = new stdClass();
	}

	public function __call($name, $args)
	{

		$data = new stdClass();
		$data->name = $name;
		$data->load = serialize($args);
		$json = urlencode(json_encode($data));
	
		$call_information = urlencode(json_encode($this->information));

		$body = "call=" . $json . "&information=" . $call_information . '&session_id=' . $this->session_id;

		if (!$this->socket || !($socketInfo = @socket_get_status($this->socket)))
		{
			$this->socket = @fsockopen($this->host, $this->port, $err_number, $err_str);
		}
		else if ($socketInfo['eof'] || $socketInfo['timed_out'])
		{
			@fclose($this->socket);
			$this->socket = @fsockopen($this->host, $this->port, $err_number, $err_str);
		}

		if (!$this->socket)
		{
			$this->lastMessage = "could not connect to {$this->host}:{$this->port}{$this->script}";
			return;
		}

		$request = array
		(
			"POST {$this->script} HTTP/1.1",
			"Host: {$this->host}",
			$this->keepAlive ? "Connection: Keep-Alive" : "Connection: Close",
			"Content-Length: " . strlen($body),
			"Content-Type: application/x-www-form-urlencoded",
			"",
			$body
		);

		fwrite($this->socket, join("\r\n", $request));

		$response = "";
		$contentLength = 0;

		while(!feof($this->socket))
		{
			$line = fgets($this->socket);

			if (strtolower(substr($line, 0, 15)) == 'content-length:')
				$contentLength = trim(substr($line, 15));

			if ($line == "\r\n")
				break;

			$header .= $line;
		}

		if ($contentLength > 0)
			$body = fread($this->socket, $contentLength);
		else
			$body = "";

		if (!$this->keepAlive)
			fclose($this->socket);

		if ($this->debug)
			$this->lastResponseHeader = $header;

		if ($this->debug)
			$this->lastResponseBody = $body;

		if ($this->debug)
			$this->lastResponse = $header . "\r\n" . $body;

		preg_match("/HTTP\/[0-9]\.[0-9] ([0-9]{3}).*/i", $header, $responseCodeArray);
		$responseCode = $responseCodeArray[1];

		if ($this->debug)
			$this->lastResponseCode = $responseCode;

		if (in_array((string)$responseCode, array_keys($this->httpErrorMessages)))
		{
			$this->lastMessage = "HTTP-Error: " . $this->httpErrorMessages[(string)$responseCode] . " ($responseCode)";
			return null;
		}

		$resultObject = json_decode($body);
		if ($resultObject->session_id)
		{
			$this->session_id = $resultObject->session_id;
		}

		if ($resultObject && $resultObject->success == true)
		{
			$this->lastMessage = $resultObject->message;
			return unserialize($resultObject->result);
		}
		else if ($resultObject && $resultObject->success == false)
		{
			$this->lastMessage = $resultObject->message;
			return null;
		}
		else
		{
			$this->lastMessage = "could not parse response";
			return null;
		}
	}
}
