<?php

class RPCServer
{

	var $handler;

	public function __construct($handler)
	{
		$this->handler = $handler;

		$callObject = json_decode($this->prepareString($_REQUEST['call']));

		$callInformation = json_decode($this->prepareString($_REQUEST['information']));

		if ($_REQUEST['session_id'])
			$this->handler->session_id = $_REQUEST['session_id'];
		else
			$this->handler->session_id = md5(uniqid(rand().time()).rand());

		if (method_exists($this->handler, '_checkInformation'))
		{
			$resultObject = new stdClass();
			$informationValid = $this->handler->{'_checkInformation'}($callInformation, $resultObject);
			if (!$informationValid)
			{
				echo json_encode($this->handleError('invalid call credentials: ' . $resultObject->message));
				return;
			}
		}

		if (!$callObject)
			$this->result = $this->handleError('could not read query');
		else
			$this->result = $this->{$callObject->name}(unserialize($callObject->load));

		if ($this->handler->session_id)
			$this->result->session_id = $handler->session_id;
		echo json_encode($this->result);
	}

	/*
	 * found at http://php.net/manual/en/function.stripslashes.php
	 * comment of michal at roszka dot pl (01-Sep-2009 03:00)
	 */

	function prepareString($str)
	{
		if (TRUE == function_exists('get_magic_quotes_gpc') && 1 == get_magic_quotes_gpc())
		{
			$mqs = strtolower(ini_get('magic_quotes_sybase'));

			if (TRUE == empty($mqs) || 'off' == $mqs)
			    return stripslashes($str);
			else
			    return str_replace("''", "'", $str);
		}
		return $str;
	}

	public function __call($name, $args)
	{
		if (method_exists($this->handler, $name))
		{
			try
			{
				$result = call_user_func_array(array($this->handler, $name), $args[0]);
	
				$resultObject = new stdClass();
				$resultObject->success = true;
				$resultObject->result = serialize($result);
			}
			catch (Exception $e)
			{
				$resultObject = $this->handleError("cought exception " . $e);				
			}

			return $resultObject;
		}
		else
		{
			return $this->handleError("method '{$name}' does not exists");
		}
	}

	public function handleError($message)
	{
		$resultObject = new stdClass();

		if ($this->handler->session_id)
			$resultObject->session_id = $this->handler->session_id;

		$resultObject->success = false;
		$resultObject->message = $message;
		return $resultObject;
	}
}
