<?php
session_set_cookie_params(0, dirname($_SERVER['PHP_SELF']));
session_start();
include_once(dirname(__FILE__).'/inc.debug.php');
include_once(dirname(__FILE__).'/class.db.php');
include_once(dirname(__FILE__).'/inc.helper.php');
include_once(dirname(__FILE__).'/class.fastfw_modul.php');
include_once(projectPath.'/inc.var.php');
define('libPath', dirname(__FILE__));
class fastfw {
	protected $processorList = array();
	public $QS = array();
	public $fw;
	public $startTime;
	public $DC;
	public $VAR;
	function __construct() {
		// {{{
		
		$this->startTime = microtime(true);
		$this->DC = newDC();
		$this->fw = $this;
		
		$this->VAR['htmlhead']= '';
		$this->VAR['contenthead']= '';
		$this->VAR['contentbody']= '';
		$this->VAR['contentfooter']= '';
		
		$GLOBALS['helperFastFW'] = $this;
		// }}}
	}
	function getDuration() {
		// {{{
		$d = microtime(true) - $this->startTime;
		return($d);
		// }}}
	}
	function run() {
		// {{{
		
		ob_start();
		$this->processMVC();
		
		$this->sendHeaders();
		ob_end_flush();
		echo $this->sendHtmlHead();
		flush();
		echo $this->processHTML($this->sendContentHead());
		flush();
		echo $this->processHTML($this->sendContentBody());
		flush();
		echo $this->processHTML($this->sendContentFooter());
		// }}}
	}
	
	function processHTML($html) {
		// {{{
		for($i=0;$i<count($this->processorList);$i++) {
			// {{{
			$html = $this->processorList[$i]->processHTML($html);
			// }}}
		}
		return($html);
		// }}}
	}
	
	function addHTMLProcessor($obj) {
		// {{{
		$this->processorList[] = $obj;
		// }}}
	}
	
	function processMVC() {
		// {{{
		
		if(isset($_GET['fw_goto']) && $_GET['fw_goto']!='') $_SERVER['QUERY_STRING'] = $_GET['fw_goto'];
		$this->QS = explode('/', $_SERVER['QUERY_STRING']);
		if($this->QS[0]=='') $this->QS[0] = 'index';
		if($this->QS[1]=='') $this->QS[1] = 'index';
		$GLOBALS['fw_modul'] = $this->QS[0];
		$GLOBALS['fw_method'] = $this->QS[1];
		$QS = $this->QS;
		$modul = $this->checkValidFilename(array_shift($QS));
		if($modul=='') $modul = 'index';
		$fn = projectPath.'/modul/class.'.$modul.'.php';
		$found = false;
		if(file_exists_cached($fn)) {
			include_once($fn);
			$found = true;
		} else {
			$fn = libPath.'/modul/class.'.$modul.'.php';
			if(file_exists_cached($fn)) {
				include_once($fn);
				$found = true;
			}
		}
		if($found) {
			$name = 'fastfw_'.$modul;
			$M = new $name($this);
			$M->fw = $this;
			$M->DC = $this->DC;
			
			$M->processMVC($QS);
		} else {
			$this->error('Modul nicht vorhanden');
		}
		// }}}
	}
	
	function sendHeaders() {
		// {{{
		header('Content-type:text/html;charset=utf-8');
		// }}}
	}
	
	function sendHtmlHead() {
		// {{{
		ob_start();
		$VAR = $this->VAR['htmlhead'];
		include_once(projectPath.'/templates/'.tpl_htmlhead);
		$html = ob_get_clean();
		return($html);
		// }}}
	}
	function sendContentHead() {
		// {{{
		ob_start();
		$VAR = $this->VAR['contenthead'];
		include(projectPath.'/templates/'.tpl_contenthead);
		$html = ob_get_clean();
		return($html);
		// }}}
	}
	function sendContentBody() {
		// {{{
		ob_start();
		$VAR = $this->VAR['contentbody'];
		include(projectPath.'/templates/'.tpl_contentbody);
		$html = ob_get_clean();
		return($html);
		// }}}
	}
	function sendContentFooter() {
		// {{{
		ob_start();
		$VAR = $this->VAR['contentfooter'];
		include(projectPath.'/templates/'.tpl_contentfooter);
		$html = ob_get_clean();
		return($html);
		// }}}
	}
	
	function setVariable($area, $name, $value="") {
		// {{{
		if(!isset($this->VAR[$area]) || !is_array($this->VAR[$area])) $this->VAR[$area] = array();
		if(is_array($name)) {
			$this->VAR[$area] = array_merge($this->VAR[$area], $name);
		} else {
			$this->VAR[$area][$name] = $value;
		}
		// }}}
	}
	function tplGet($area, $tpl) {
		// {{{
		$VAR = $this->VAR[$area];
		ob_start();
		if(file_exists_cached(projectPath.'/templates/'.$tpl)) include(projectPath.'/templates/'.$tpl);
		else if(file_exists_cached(libPath.'/templates/'.$tpl)) include(libPath.'/templates/'.$tpl);
		else $this->fw->error('Template '.$tpl.' not found');
		
		$html = ob_get_clean();
		return($html);
		// }}}
	}
	
	function checkValidFilename($fn) {
		// {{{
		if(stristr($fn,'/') || stristr($fn,'.') || stristr($fn,"\n") || stristr($fn,"\r")) $this->error('falsches Modul');
		return($fn);
		// }}}
	}
	function error($err) {
		// {{{
		echo $err;
		exit;
		
		// }}}
	}
	
	function fw_useClassByKey($class, $key, $params=array()) {
		// {{{
		if(isset($this->classByKey[$class][$key])) return($this->classByKey[$class][$key]);
		else {
			$this->classByKey[$class][$key] = $this->fw_useClass($class, $params, false);
			$this->classByKey[$class][$key]->id = $key;
			return($this->classByKey[$class][$key]);
		}
		// }}}
	}
	function fw_useSingleClass($class, $params=array()) {
		// {{{
		if(isset($this->$class)) return($this->$class);
		else return($this->fw_useClass($class, $params));
		// }}}
	}
	
	function fw_useClass($class, $params=array(), $registerFW=true) {
		// {{{
		if(file_exists_cached(projectPath.'/classes/class.'.$class.'.php')) {
			include_once(projectPath.'/classes/class.'.$class.'.php');
		} else if(file_exists_cached(libPath.'/classes/class.'.$class.'.php')) {
			include_once(libPath.'/classes/class.'.$class.'.php');
		} else if(file_exists_cached(libPath.'/class.'.$class.'.php')) {
			include_once(libPath.'/class.'.$class.'.php');
		} else {
			$this->error('Class &gt;'.$class.'&lt; not found');
		}
		$C = new $class($this, $params);
		if($registerFW) $this->$class = $C;
		return($C);
		// }}}
	}
	
}
?>
